Bug 1021625 - Some Debian Packages are doesn't "appear as packages" by rhnpush
Some Debian Packages are doesn't "appear as packages" by rhnpush
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: python-debian (Show other bugs)
el6
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-21 12:27 EDT by Martin Juhl
Modified: 2016-05-07 08:09 EDT (History)
3 users (show)

See Also:
Fixed In Version: python-debian-0.1.21-10.el6 python-debian-0.1.27-3.fc22 python-debian-0.1.27-3.fc23 python-debian-0.1.27-3.el7 python-debian-0.1.27-3.el6 python-debian-0.1.27-4.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-29 20:21:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fixes problems with debian packages that doesn't "appear as packages" (487 bytes, patch)
2013-11-25 10:44 EST, Martin Juhl
no flags Details | Diff
list of packages on VM i686 (28.08 KB, text/plain)
2014-05-03 09:59 EDT, vpelagatti
no flags Details
List of packages on server x86_64 (33.81 KB, text/plain)
2014-05-03 10:00 EDT, vpelagatti
no flags Details
patch for LZMA support (470 bytes, patch)
2015-10-26 10:06 EDT, schuler.philipp
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 506861 None None None Never

  None (edit)
Description Martin Juhl 2013-10-21 12:27:57 EDT
Description of problem:
Some debian/ubuntu packages are reported by rhnpush not to be a package..

I have seen this problem on quite a few packages

How reproducible:
Every time

Steps to Reproduce:
1. Download "ftp://archive.ubuntu.com/ubuntu/pool/main/a/anthy/anthy-common_9100h-16ubuntu3_all.deb"
2. run "rhnpush -c <channel name> anthy-common_9100h-16ubuntu3_all.deb

Actual results:
[root@spacewalk ~]# rhnpush -c ubuntu-13.04-new anthy-common_9100h-16ubuntu3_all.deb 
ERROR: anthy-common_9100h-16ubuntu3_all.deb: This file doesn't appear to be a package

Expected results:
Package is uploaded to spacewalk..


Additional info:
Comment 1 Martin Juhl 2013-11-25 10:44:10 EST
Created attachment 828746 [details]
Fixes problems with debian packages that doesn't "appear as packages"

In deb-files the data.tar package is compressed with xz, rather than bz2 or gz..

This patch adds support for these packages...
Comment 2 Michael Mráka 2013-11-28 04:55:24 EST
Hello Martin,

thanks for your patch. The patchd file is part of python-debian package so I'm reassigning the bug to its maintainers.

Thanks,
Michael
Comment 3 Miroslav Suchý 2013-11-28 05:17:52 EST
Already tracked in Debian (which is upstream) as bug 506861.
Comment 4 Miroslav Suchý 2013-11-28 06:12:42 EST
I add to package patch which is included in Debian BTS 506861.
Comment 5 Fedora Update System 2013-11-28 06:13:11 EST
python-debian-0.1.21-10.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-debian-0.1.21-10.fc19
Comment 6 Fedora Update System 2013-11-28 06:14:08 EST
python-debian-0.1.21-10.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-debian-0.1.21-10.fc20
Comment 7 Fedora Update System 2013-11-28 06:16:46 EST
python-debian-0.1.21-10.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-debian-0.1.21-10.el6
Comment 8 Miroslav Suchý 2013-11-28 06:23:52 EST
I wanted to build el5 package as well. But that is not possible due missing deps python-six.
Comment 9 Fedora Update System 2013-11-29 11:04:05 EST
Package python-debian-0.1.21-10.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-debian-0.1.21-10.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22403/python-debian-0.1.21-10.fc20
then log in and leave karma (feedback).
Comment 10 Martin Juhl 2013-12-03 09:45:55 EST
Is it possible to test this on CentOS 6???

My test system isn't on Fedora???
Comment 11 Miroslav Suchý 2013-12-03 10:21:07 EST
It is in EPEL6 testing as well (see #7). Just run

 su -c 'yum update --enablerepo=updates-testing python-debian"
Comment 12 Martin Juhl 2013-12-04 07:25:41 EST
[root@mjspacewalk ~]# yum update --enablerepo=updates-testing python-debian                                                                                               
Loaded plugins: fastestmirror, versionlock
Error getting repository data for updates-testing, repository not found 


???

What to do??
Comment 13 Martin Juhl 2013-12-05 08:22:06 EST
Hi..

Should be:

yum update --enablerepo=epel-testing python-debian
Comment 14 Martin Juhl 2013-12-06 07:19:33 EST
Hi again..

Just figured out that this problem also exist if data.tar is packaged in lzma format...

So the line should probably be changed:

PART_EXTS = ['gz', 'bz2', 'xz']   # possible extensions

to

PART_EXTS = ['gz', 'bz2', 'xz', 'lzma']   # possible extensions
Comment 15 Miroslav Suchý 2013-12-06 07:38:51 EST
I agree. But I hesitate to be faster than upstream. Even having that patch in Fedora before it is accepted in Debian itself is on the edge.
I'm monitoring Debian BTS 506861 and if resolution will be different from patch provided in #9 then I will reopen this BZ.
Comment 16 Martin Juhl 2013-12-06 07:51:26 EST
Ok.. 

As far as I understand xz and lzma is basically the same... 

So for now, I will probably do my own repository, with a forked version of python-debian... 

Should I do anything (new case/bug) to prepare for the lzma??? or will you push it from here??
Comment 17 Miroslav Suchý 2013-12-06 08:07:27 EST
Try to push on upstream. Once it land in upstream I will push it from here.
Comment 18 Fedora Update System 2013-12-10 01:10:18 EST
python-debian-0.1.21-10.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2013-12-13 22:48:10 EST
python-debian-0.1.21-10.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2013-12-15 15:24:02 EST
python-debian-0.1.21-10.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Martin Juhl 2014-01-27 07:30:45 EST
Hi..

Nothing is happening upstream??

Anything I can do to get lzma support into the CentOS/Fedora repository??
Comment 22 vpelagatti 2014-04-30 17:47:15 EDT
(In reply to Fedora Update System from comment #20)
> python-debian-0.1.21-10.el6 has been pushed to the Fedora EPEL 6 stable
> repository.  If problems still persist, please make note of it in this bug
> report.

I'm running rhnpush on Centos 6.5 x86_64 and when I try to push an Ubuntu DEB package I get the error:

ERROR: /tmp/kajongg_4.8.2-0ubuntu1_all.deb: This file doesn't appear to be a package

Using: python-debian-0.1.21-10.el6.noarch

Steps to reproduce it:
wget http://archive.ubuntu.com/ubuntu/pool/main/k/kdegames/kajongg_4.8.2-0ubuntu1_all.deb
rhnpush -c ubuntu_12_04_i686 -u vpelagatti -p XXXXXXX kajongg_4.8.2-0ubuntu1_all.deb
ERROR: kajongg_4.8.2-0ubuntu1_all.deb: This file doesn't appear to be a package


If you need any additional infomation just let me know.

Thanks
Comment 23 vpelagatti 2014-05-03 09:59:27 EDT
Created attachment 892144 [details]
list of packages on VM i686
Comment 24 vpelagatti 2014-05-03 10:00:25 EDT
Created attachment 892145 [details]
List of packages on server x86_64
Comment 25 vpelagatti 2014-05-03 10:02:50 EDT
I create a VM using CentOS 6.5 i686 and it works but it doesn't on Centos 6.5 x86_64 server.
Attachment 892144 [details] has the list of packages installed on the i686 VM and attachment 892145 [details] has the list of packages installed on the x86_64 server.

If you need any additional infomation just let me know.

Thanks
Comment 26 schuler.philipp 2014-10-16 09:44:42 EDT
(In reply to Martin Juhl from comment #21)
> Hi..
> 
> Nothing is happening upstream??
> 
> Anything I can do to get lzma support into the CentOS/Fedora repository??

Whats the staus on this? I'm also waiting for 

the "PART_EXTS = ['gz', 'xz', 'lzma']" patch to go upstream
Comment 27 schuler.philipp 2015-10-08 08:28:57 EDT
Will this ever be fixed ?
Comment 28 Miroslav Suchý 2015-10-08 10:33:50 EDT
I just rebased to 0.1.27 version, which includes that xz patch.
However it does not include support for lzma. Upstream does not include it as Debian does not have python lzma binding.
So if somebody write patch for lzma (with test) I can review it and put it in Fedora. However I do not have time to write it on my own.
Comment 29 Miroslav Suchý 2015-10-08 10:34:28 EDT
Here is the link for el6 errata:
https://bodhi.fedoraproject.org/updates/python-debian-0.1.27-2.el6
Comment 30 schuler.philipp 2015-10-09 11:23:57 EDT
@Miroslav Suchý
I'd be happy to help and do the necessary changes. However I never contributed before and would need some doc about the process.
Does such a doc exist ?
Comment 31 Miroslav Suchý 2015-10-11 07:04:55 EDT
(In reply to schuler.philipp from comment #30)
> I'd be happy to help and do the necessary changes. However I never
> contributed before and would need some doc about the process.
> Does such a doc exist ?

None specific to python-debian. Lots to writing patch in general (everywhere on internet).
Probably best start is to install python-debian, backup the file you want to modify e.g.
  cp /usr/lib/python2.7/site-packages/debian/debfile.py /usr/lib/python2.7/site-packages/debian/debfile.py.orig
then modify the debfile.py untill it works as desired and then run:
  diff -Naur /usr/lib/python2.7/site-packages/debian/debfile.py.orig /usr/lib/python2.7/site-packages/debian/debfile.py > my-patch.diff
And then post the resulting file here.
Comment 32 schuler.philipp 2015-10-15 11:02:04 EDT
(In reply to Miroslav Suchý from comment #31)

ok great. Thats obvious. I was refering to contributing directly.

Anyways..will you also push it to EPEL6 ? I can only see it for EPEL7 here https://bodhi.fedoraproject.org/updates/?packages=python-debian but also for EL6
My Spacewalk server is still running on CentOS6/EPEL6.

Which version should I base the patch on ? 0.1.27-2 or the old python-debian-0.1.21-10 ?
Comment 33 Miroslav Suchý 2015-10-15 13:32:48 EDT
(In reply to schuler.philipp from comment #32)
> Anyways..will you also push it to EPEL6 ? I can only see it for EPEL7 here
> https://bodhi.fedoraproject.org/updates/?packages=python-debian but also for
> EL6

https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-25c83db8f1

> Which version should I base the patch on ? 0.1.27-2 or the old
> python-debian-0.1.21-10 ?

On 0.1.27-2 version.
Comment 34 schuler.philipp 2015-10-26 10:06 EDT
Created attachment 1086524 [details]
patch for LZMA support
Comment 35 schuler.philipp 2015-10-26 10:09:24 EDT
above patch is tested on our production Spacewalk. For writing a real test for CI, please point me at the right place where tests are living
Comment 36 schuler.philipp 2016-04-14 08:40:43 EDT
(In reply to Miroslav Suchý from comment #33)
> (In reply to schuler.philipp from comment #32)
> > Anyways..will you also push it to EPEL6 ? I can only see it for EPEL7 here
> > https://bodhi.fedoraproject.org/updates/?packages=python-debian but also for
> > EL6
> 
> https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-25c83db8f1
> 
> > Which version should I base the patch on ? 0.1.27-2 or the old
> > python-debian-0.1.21-10 ?
> 
> On 0.1.27-2 version.

Could we finally get this package fixed after 2.5 yrs so we dont have to patch after installation so we can actually use it.

Its only the lzma patch missing now, I added a patch half a year ago ...

and "Fixed In Version: 	python-debian-0.1.21-10.el6" is also wrong. That only includes the "xz" patch.

Not only me but alot other people using Spacewalk with .deb packages would really appreciate a final fix !
Comment 37 Miroslav Suchý 2016-04-15 02:51:00 EDT
Your wish has been fulfilled.
Comment 38 Fedora Update System 2016-04-15 03:01:44 EDT
python-debian-0.1.27-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1c72aeb468
Comment 39 Fedora Update System 2016-04-15 03:01:49 EDT
python-debian-0.1.27-4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-52620ad323
Comment 40 Fedora Update System 2016-04-15 03:01:54 EDT
python-debian-0.1.27-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-43e132028a
Comment 41 Fedora Update System 2016-04-15 03:01:58 EDT
python-debian-0.1.27-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f47b28febe
Comment 42 Fedora Update System 2016-04-15 03:02:03 EDT
python-debian-0.1.27-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-5daac272c4
Comment 43 schuler.philipp 2016-04-15 08:41:40 EDT
(In reply to Miroslav Suchý from comment #37)
> Your wish has been fulfilled.

big thanks!
Comment 44 Fedora Update System 2016-04-15 19:22:12 EDT
python-debian-0.1.27-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-52620ad323
Comment 45 Fedora Update System 2016-04-16 16:20:30 EDT
python-debian-0.1.27-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-5daac272c4
Comment 46 Fedora Update System 2016-04-16 16:27:24 EDT
python-debian-0.1.27-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-43e132028a
Comment 47 Fedora Update System 2016-04-21 23:26:09 EDT
python-debian-0.1.27-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1c72aeb468
Comment 48 Fedora Update System 2016-04-22 16:58:36 EDT
python-debian-0.1.27-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f47b28febe
Comment 49 Fedora Update System 2016-04-29 20:21:07 EDT
python-debian-0.1.27-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 50 Fedora Update System 2016-05-04 14:54:12 EDT
python-debian-0.1.27-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 51 Fedora Update System 2016-05-04 18:37:30 EDT
python-debian-0.1.27-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 52 Fedora Update System 2016-05-04 19:14:15 EDT
python-debian-0.1.27-3.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 53 Fedora Update System 2016-05-07 08:09:23 EDT
python-debian-0.1.27-4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.